- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
time_measure.h File Reference
Time Measuring and Counting
`#include <unistd.h>`
`#include <sys/times.h>`
`#include <sys/time.h>`
`#include <string>`
`#include <fstream>`
`#include <iostream>`
`#include <lemon/math.h>`

## Classes
class | TimeStamp
| A class to store (cpu)time instances. More...
class | Timer
| Class for measuring the cpu time and real time usage of the process. More...
class | TimeReport
| Same as Timer but prints a report on destruction. More...
class | NoTimeReport
| 'Do nothing' version of TimeReport More...

## Namespaces
| lemon
| The namespace of LEMON.

## Functions
template<class F >
TimeStamp | runningTimeTest (F f, double min_time=10, unsigned int *num=NULL, TimeStamp *full_time=NULL)
| Tool to measure the running time more exactly. More...